RDKit: Queries Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
Queries Namespace Reference

## Classes
class | AndQuery
| a Query implementing AND: requires all children to be `true` More...
class | EqualityQuery
| a Query implementing ==: arguments must match a particular value (within an optional tolerance) More...
class | GreaterEqualQuery
| a Query implementing >= using a particular value (and an optional tolerance) More...
class | GreaterQuery
| a Query implementing > using a particular value (and an optional tolerance) More...
class | Int2Type
| class to allow integer values to pick templates More...
class | LessEqualQuery
| a Query implementing <= using a particular value (and an optional tolerance) More...
class | LessQuery
| a Query implementing < using a particular value (and an optional tolerance) More...
class | OrQuery
| a Query implementing AND: requires any child to be `true` More...
class | Query
| Base class for all queries. More...
class | RangeQuery
| a Query implementing a range: arguments must fall in a particular range of values. More...
class | SetQuery
| a Query implementing a set: arguments must one of a set of values More...
class | XOrQuery
| a Query implementing XOR: requires exactly one child to be `true` More...

## Enumerations
enum | CompositeQueryType { COMPOSITE_AND , COMPOSITE_OR , COMPOSITE_XOR }

## Functions
template<class T1, class T2>
int | queryCmp (const T1 v1, const T2 v2, const T1 tol)

## Enumeration Type Documentation

## ◆ CompositeQueryType

enum Queries::CompositeQueryType

Enumerator
COMPOSITE_AND |
COMPOSITE_OR |
COMPOSITE_XOR |

Definition at line 36 of file QueryObjects.h.

## Function Documentation

## ◆ queryCmp()

template<class T1, class T2>

int Queries::queryCmp | ( | const T1 | v1,
|  | const T2 | v2,
|  | const T1 | tol )

Definition at line 197 of file Query.h.

Referenced by Queries::EqualityQuery< double, const ROMol &, true >::Match(), Queries::GreaterEqualQuery< double, const ROMol &, true >::Match(), Queries::GreaterQuery< double, const ROMol &, true >::Match(), Queries::LessEqualQuery< double, const ROMol &, true >::Match(), Queries::LessQuery< double, const ROMol &, true >::Match(), Queries::RangeQuery< double, const ROMol &, true >::Match(), RDKit::AtomRingQuery::Match(), and RDKit::HasPropWithValueQuery< TargetPtr, T >::Match().